package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicPublishChannel {

    public static final String SHARE = "共享平台";
    public static final String OPEN = "开放平台";


    private static DicPublishChannel instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicPublishChannel(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(SHARE, SHARE);
        dicMap.put(OPEN, OPEN);
    }

    public static DicPublishChannel getInstacne(){
        if (instance == null)
        {
            instance = new DicPublishChannel();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
